Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
63 lines (50 sloc) 1.982 kb
language: php
sudo: false
php:
- 5.3
- 5.4
- 5.5
env:
- TEST_SUITE=1
- TEST_SUITE=2
matrix:
include:
- php: 5.3
env: TEST_SUITE=1 COMPOSER_FLAGS="--prefer-lowest"
- php: 5.3
env: TEST_SUITE=2 COMPOSER_FLAGS="--prefer-lowest"
services:
- mongodb
addons:
apt:
packages:
- apache2
- wkhtmltopdf
- xvfb
#install:
# - sudo apt-get install -y --force-yes php5-curl php5-intl wkhtmltopdf
# - sudo apt-get install -y --force-yes apache2 libapache2-mod-php5 php5-curl php5-intl wkhtmltopdf
# - sudo sed -i -e "s,/var/www,$(pwd)/web,g" /etc/apache2/sites-available/default
# - sudo /etc/init.d/apache2 restart
before_script:
- echo '' > ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/xdebug.ini
- echo "extension = mongo.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini
- echo "zend.enable_gc = 0" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini
- echo "memory_limit=4096M" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini
# - export MINK_EXTENSION_PARAMS='base_url=http://localhost:8000/app_test.php'
- composer self-update
- composer install --prefer-source --no-interaction
- composer require doctrine/mongodb-odm="1.0.*@dev" --no-update
- composer require jmikola/geojson="~1.0" --no-update
- composer update doctrine/mongodb-odm jmikola/geojson --prefer-source --no-interaction $COMPOSER_FLAGS
- app/console doctrine:database:create --env=test
- app/console doctrine:schema:create --env=test
- app/console doctrine:phpcr:repository:init --env=test
- app/console cache:warmup --env=test
# - sh -e /etc/init.d/xvfb start
# - export DISPLAY=:99
# - curl http://selenium-release.storage.googleapis.com/2.41/selenium-server-standalone-2.41.0.jar > selenium.jar
# - java -jar selenium.jar
# - sleep 5
script:
- travis/run-suite-$TEST_SUITE
Jump to Line
Something went wrong with that request. Please try again.